petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetUp

Sets up the internal matrix data structures for the later use.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetUp(Mat A)

Collective on Mat Many br

### Input Parameters

A -the Mat context Many br

### Notes

If the user has not set preallocation for this matrix then a default preallocation that is likely to be inefficient is used. Many br

If a suitable preallocation routine is used, this function does not need to be called. Many br

See the Performance chapter of the PETSc users manual for how to preallocate matrices Many br

Many br

### Keywords

Mat, setup

### See Also

MatCreate(), MatDestroy()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex8.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex11.c.html
src/ksp/ksp/examples/tutorials/ex12.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex16.c.html
src/ksp/ksp/examples/tutorials/ex18.c.html